Search found 72 matches

by hamish
Sat Aug 08, 2015 10:48 am
Forum: Developers corner
Topic: Drawing dimensioning workbench for FreeCAD v0.15
Replies: 89
Views: 52620

Re: Drawing dimensioning workbench for FreeCAD v0.15

From a new FreeCAD user's perspective, I think it would be nice if there is a short subsection under the drawing modules page (right at the end), simply stating 3rd Party Extensions ------------------------ - The Drawing Dimensioning Workbench for general dimensioning and tolerancing. Please report ...
by hamish
Sat Aug 08, 2015 8:07 am
Forum: Developers corner
Topic: Drawing dimensioning workbench for FreeCAD v0.15
Replies: 89
Views: 52620

Re: Drawing dimensioning workbench for FreeCAD v0.15

Hi Folks,

Could someone update the wiki page http://www.freecadweb.org/wiki/index.ph ... ing_Module to mention the Drawing Dimensioning workbench?
Perhaps under a 3rd party subsection, or something like that.

Thanks!
by hamish
Sat Aug 01, 2015 9:18 am
Forum: Developers corner
Topic: Drawing dimensioning workbench for FreeCAD v0.15
Replies: 89
Views: 52620

Re: Drawing dimensioning workbench for FreeCAD v0.15

Hi mase,

Thanks for your message & glad that you are finding the drawing_dimensioning useful.
I have created a feature request on the FreeCAD_drawing_dimensioning github page, see
https://github.com/hamish2014/FreeCAD_d ... /issues/57

Best Regards,
by hamish
Tue Jul 28, 2015 10:50 am
Forum: Python scripting and macros
Topic: Model Tree View: can a App:FeaturePython object be placed under a Part::FeaturePython?
Replies: 9
Views: 2850

Re: Model Tree View: can a App:FeaturePython object be placed under a Part::FeaturePython?

Thanks microelly2, an App::DocumentObjectGroupPython object could work for my purposes (reworking the assembly2 model tree layout). Additional questions: * how does one change a GroupPython object's icon (in Python), when i try >>> App.ActiveDocument.Group.ViewObject.Icon = App.ActiveDocument.Cylind...
by hamish
Wed Jul 22, 2015 2:58 pm
Forum: Python scripting and macros
Topic: Model Tree View: can a App:FeaturePython object be placed under a Part::FeaturePython?
Replies: 9
Views: 2850

Model Tree View: can a App:FeaturePython object be placed under a Part::FeaturePython?

Hi Everyone,

Can
forum_question.png
forum_question.png (30.92 KiB) Viewed 2850 times
be done using Python?
by hamish
Sun Jul 19, 2015 8:34 am
Forum: Developers corner
Topic: Object on-delete method
Replies: 3
Views: 1040

Re: Object on-delete method

Works fantastically, thanks wmayer! Here was what i did: obj = FreeCAD.ActiveDocument.addObject("Part::FeaturePython",partName) class MyViewProviderProxy: def onDelete(self, feature, subelements): # subelements is a tuple of strings ... return True # If False is returned the object won't b...
by hamish
Thu Jul 16, 2015 12:02 pm
Forum: Developers corner
Topic: Object on-delete method
Replies: 3
Views: 1040

Object on-delete method

Hi Everyone,

For "Part::FeaturePython" objects, is there an on-delete method, or proxy on-delete method?
Could i do something like:

Code: Select all

class PartProxy:
    def onDelete(self, shape):
        ...
?
by hamish
Thu Jul 16, 2015 11:25 am
Forum: Developers corner
Topic: Task Dialog/Dialogue Buttons
Replies: 3
Views: 1496

Re: Task Dialog/Dialogue Buttons

Adding the getStandardButtons method works like a charm, thanks!
by hamish
Wed Jul 15, 2015 9:03 am
Forum: Developers corner
Topic: Task Dialog/Dialogue Buttons
Replies: 3
Views: 1496

Task Dialog/Dialogue Buttons

Hi Everyone, Regarding task dialogues, how does one set which buttons are displayed. Currently all my task dialogues show a *Cancel* and an *OK* button. How do i change : class MyTaskDialog: def __init__(self): self.form = FreeCADGui.PySideUic.loadUi( ... def accept(self): .. def reject(self): ... c...